Проверка электронных адресов (email) в контактной информации по стандарту RFC для типовых конфигураций
Файлы
ВНИМАНИЕ: Файлы из Базы знаний - это исходный код разработки. Это примеры решения задач, шаблоны, заготовки, "строительные материалы" для учетной системы. Файлы ориентированы на специалистов 1С, которые могут разобраться в коде и оптимизировать программу для запуска в базе данных. Гарантии работоспособности нет. Возврата нет. Технической поддержки нет.
Подписка PRO — скачивайте любые файлы со скидкой до 85% из Базы знаний
Оформите подписку на компанию для решения рабочих задач
Оформить подписку и скачать решение со скидкойВы можете заказать платную доработку или адаптацию этой разработки под вашу конфигурацию на «Бирже заказов».
- 0% комиссии — оплата напрямую исполнителю;
- Исполнители любого масштаба — от отдельных специалистов до команд под проект;
- Прямой обмен контактами между заказчиком и исполнителем;
- Безопасная сделка — при необходимости;
- Рейтинги, кейсы и прозрачная система откликов.
Расширение включает интерактивную проверку на корректность введенного адреса электронной почты в базе.
В каких случаях может пригодиться
- При интеграции с другими системами (например, при интеграции с 1С:Бэкофис), когда в приемнике жестко зашиты проверки электронных адресов и пакеты не проходят из-за кривых данных. Данное решение поможет ограничить ввод не корректной информации пользователем в 1С
- Для наведения порядка в контактной информации (особенно важно, если 1С активно используется как почтовый клиент)
Особенности
-
Перед записью проверяется вся введенная контактная информация с типом "Адрес электронной почты" (даже если email'ов больше одного)
-
Проверяет email-адрес на соответствие требованиям стандартов RFC 5321, RFC 5322, а также RFC 5335, RFC 5336 и RFC 3696. Кроме того, ограничивает использование спецсимволов
-
При проверке используется типовая функция из общего модуля "ОбщегоНазначенияКлиентСервер.АдресЭлектроннойПочтыСоответствуетТребованиям()"
Совместимость
Тестировалось на следующих конфигурациях:
- 1С:Управление торговлей, редакция 11 (11.4.13.209)
- 1С:Комплексная автоматизация 2 (2.4.14.164)
- 1С:Комплексная автоматизация 2 (2.5.7.402)
- Розница, редакция 2.3 (2.3.11.37)
- Бухгалтерия предприятия, редакция 3.0 (3.0.105.31)
Установка
Типовым способом, как любое другое расширение.
Рекомендуется после подключения снять флаг "Безопасный режим".
Вступайте в нашу телеграмм-группу Инфостарт